import Command from '../command';
import * as flags from '../flags';
import { DiffResponse } from '../api/models';
export default class Diff extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        doc: flags.IOptionFlag<string | undefined>;
        hub: flags.IOptionFlag<string | undefined>;
        branch: flags.IOptionFlag<string | undefined>;
        token: flags.IOptionFlag<string | undefined>;
        open: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'fail-on-breaking': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        format: flags.IOptionFlag<string | undefined>;
        expires: flags.IOptionFlag<string | undefined>;
    };
    static args: {
        name: string;
        description: string;
    }[];
    run(): Promise<void>;
    displayCompareResult(result: DiffResponse, format: string, open: boolean, failOnBreaking: boolean): Promise<void>;
}
